#include "DeviceControllerInterface.h"


using UNIFIED_PLUGIN_STATE = UnifiedDCVMCInterface<DeviceControllerInterface>::UNIFIED_PLUGIN_STATE;


template<>
UNIFIED_PLUGIN_STATE UnifiedDCVMCInterface<DeviceControllerInterface>::initPlugin(QObject *eventReceiver, QSettings const &settings) {


    switch(static_cast<DeviceControllerInterface*>(this)->initDCPlugin(eventReceiver, settings)) {
    case nsDeviceControllerInterface::PLUGIN_STATE::INITIALIZED:
        return UNIFIED_PLUGIN_STATE::INITIALIZED;
    case nsDeviceControllerInterface::PLUGIN_STATE::NOT_INITIALIZED:
        return UNIFIED_PLUGIN_STATE::NOT_INITIALIZED;
    }

    return UNIFIED_PLUGIN_STATE::NOT_INITIALIZED;
}
